import { ModuleOption, ModuleString, PerBuildModuleOptions } from '../bundlib-options';
import { Nullable } from '../helper-types';
export declare type ModuleGlobal = Record<ModuleString, boolean>;
export declare const isModuleString: import("./in-list").InList<"main" | "browser" | "bin">;
export declare function isModuleOption(value: unknown): value is ModuleOption;
export declare function normalizeModuleOption(option: ModuleOption): ModuleGlobal;
export declare function normalizeBuildModule(build: Nullable<PerBuildModuleOptions>, key: keyof PerBuildModuleOptions, field: ModuleString, def: ModuleGlobal): boolean;
