import { Dictionary } from './helper-types';
export declare const keys: (<K extends string | number | symbol>(object: Partial<Record<K, unknown>>) => Array<K extends string ? K : string>);
export declare function setProp<V>(name: string, value: V, target: Dictionary<V>): Dictionary<V>;
export declare function createObject<K extends string, V>(names: K[], value: V): Record<K, V>;
