import { MinOption, BuildType, PerBuildMinOptions } from '../bundlib-options';
import { Nullable } from '../helper-types';
export declare type MinGlobal = Record<BuildType, boolean>;
export declare const isMinString: import("./in-list").InList<BuildType>;
export declare function isValidMinOption(value: unknown): value is MinOption;
export declare function normalizeMinOption(min: MinOption): MinGlobal;
export declare function normalizeBuildMin(build: Nullable<PerBuildMinOptions>, field: BuildType, def: MinGlobal): boolean;
